%define anolis_release 2
%bcond_without tests

Name:           python-pycparser
Summary:        C parser and AST generator written in Python
Version:        2.21
Release: %{anolis_release}%{dist}
License:        BSD
URL:            http://github.com/eliben/pycparser
Source0:        %{url}/archive/release_v%{version}.tar.gz
Source1:        pycparser-0.91.1-remove-relative-sys-path.py

Patch100:       pycparser-unbundle-ply.patch
Patch101:       pycparser-disable-failed-tests.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-ply
BuildRequires:  gcc

# for unit tests
%if %{with tests}
BuildRequires:  cpp
%endif

%description
pycparser is a complete parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications that
need to parse C source code.

%package -n python3-pycparser
Summary:        %{summary}
%{?python_provide:%python_provide python3-pycparser}

%description -n python3-pycparser
pycparser is a complete parser for the C language, written in pure Python.
It is a module designed to be easily integrated into applications that
need to parse C source code.

%package -n     python3-pycparser-doc
Summary:        doc files for python3-pycparser
Requires:       python3-pycparser = %{version}-%{release}

%description -n python3-pycparser-doc
doc files for python3-pycparser

%prep
%autosetup -p1 -n pycparser-release_v%{version}

# remove embedded copy of ply
rm -r pycparser/ply

# Remove relative sys.path from the examples
%{python3} %{SOURCE1} examples

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
pushd build/lib/pycparser
%{python3} _build_tables.py
popd

%install
%pyproject_install

%check
%if %{with tests}
# %{python3} tests/all_tests.py
%{python3} -m unittest discover
%endif
 
%files -n python3-pycparser
%license LICENSE
%{python3_sitelib}/pycparser/
%{python3_sitelib}/pycparser-%{version}.dist-info/

%files -n python3-pycparser-doc
%doc examples

%changelog 
* Mon Feb 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.21-2
- optimise dependency

* Tue Apr 19 2022 Zhongling He <zhonglingh@linux.alibaba.com> 2.21-1
- Init package from upstream v2.21
